
Infrastructure - Task #1460

Story # 1458 (Closed): Ensure update() API implementation is consistent across MNs and libs

ensure that metacat MN implementation of update() method matches the documentation

2011-04-05 02:10 - Dave Vieglais

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.18-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

Documentation of the update() method was changed recently to have the existing PID in the URL and the newPID in the message

body.

History

#1 - 2011-04-06 21:55 - Rob Nahf

- Status changed from New to In Progress

#2 - 2011-04-06 22:01 - Rob Nahf

- % Done changed from 0 to 90

updated metacat's ResourceHandler.putObject method with new parameter names and logic.  Need to test and commit.

#3 - 2011-04-07 16:18 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.5

coding done.  testing...

#4 - 2011-04-25 16:33 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 0.5 to 1.5

#5 - 2011-05-02 15:59 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours changed from 1.5 to 0.0

refactored metacat code (ResourceHandler) to take new inputs
